# Uses of Class
javafx.scene.paint.Stop

Packages that use Stop
Package
Description
javafx.css.converter
Provides various `StyleConverter` classes that convert CSS parsed values.
javafx.scene.paint
Provides the set of classes for colors and gradients used to fill shapes and backgrounds when rendering the scene graph.

## Uses of Stop in javafx.css.converter

Methods in javafx.css.converter that return Stop
Modifier and Type
Method
Description
`Stop`
StopConverter.`convert(ParsedValue<ParsedValue[],Stop> value, Font font)`
Method parameters in javafx.css.converter with type arguments of type Stop
Modifier and Type
Method
Description
`Stop`
StopConverter.`convert(ParsedValue<ParsedValue[],Stop> value, Font font)`

## Uses of Stop in javafx.scene.paint

Methods in javafx.scene.paint that return types with arguments of type Stop
Modifier and Type
Method
Description
`final List<Stop>`
LinearGradient.`getStops()`
A sequence of 2 or more `Stop` values specifying how to distribute the colors along the gradient.
`final List<Stop>`
RadialGradient.`getStops()`
A sequence of 2 or more `Stop` values specifying how to distribute the colors along the gradient.
Constructors in javafx.scene.paint with parameters of type Stop
Modifier
Constructor
Description
``
`LinearGradient(double startX, double startY, double endX, double endY, boolean proportional, CycleMethod cycleMethod, Stop... stops)`
Creates a new instance of LinearGradient.
``
`RadialGradient(double focusAngle, double focusDistance, double centerX, double centerY, double radius, boolean proportional, CycleMethod cycleMethod, Stop... stops)`
Creates a new instance of RadialGradient.
Constructor parameters in javafx.scene.paint with type arguments of type Stop
Modifier
Constructor
Description
``
`LinearGradient(double startX, double startY, double endX, double endY, boolean proportional, CycleMethod cycleMethod, List<Stop> stops)`
Creates a new instance of LinearGradient.
``
`RadialGradient(double focusAngle, double focusDistance, double centerX, double centerY, double radius, boolean proportional, CycleMethod cycleMethod, List<Stop> stops)`
Creates a new instance of RadialGradient.